%define packagename Getopt-Mixed
%define packageversion 1.008
%define release 1
%define makeopts ""
%define makemakeropts ""
%define makeperlopts ""

Name:      perl-%{packagename}
Version:   %{packageversion}
Release:   %{release}
Group:     Development/Languages/Perl
Source:    Getopt-Mixed-1.008.tar.gz
Source1:   makerpm.pl
Copyright: Probably the same terms as perl.  Check.
BuildRoot: /var/tmp/Getopt-Mixed-1.008
Provides:  perl-%{packagename}
Summary:   The Perl package Getopt-Mixed

%description
This package contains the perl module Getopt-Mixed.

This package is my response to the standard modules Getopt::Std and
Getopt::Long.  C<Std> doesn't support long options, and C<Long>
doesn't support short options.  I wanted both, since long options are
easier to remember and short options are faster to type.

This package is intended to be the "Getopt-to-end-all-Getop's".  It
combines (I hope) flexibility and simplicity.  It supports both short
options (introduced by C<->) and long options (introduced by C<-->).
Short options which do not take an argument can be grouped together.
Short options which do take an argument must be the last option in
their group, because everything following the option will be
considered to be its argument.

There are two methods for using Getopt::Mixed:  the simple method and
the flexible method.  Both methods use the same format for option
descriptions.

=head2 Option Descriptions

The option-description arguments required by C<init> and C<getOptions>
are strings composed of individual option descriptions.  Several
option descriptions can appear in the same string if they are
separated by whitespace.

Each description consists of the option name and an optional trailing
argument specifier.  Option names may consist of any characters but
whitespace, C<=>, C<:>, and C<E<gt>>.

Values for argument specifiers are:

%prep
$RPM_SOURCE_DIR/makerpm.pl --source=Getopt-Mixed-1.008.tar.gz --verbose   --prep



%build
$RPM_SOURCE_DIR/makerpm.pl --source=Getopt-Mixed-1.008.tar.gz --verbose  --build --runtests %{makeopts} %{makeperlopts} %{makemakeropts} 



%install
rm -rf $RPM_BUILD_ROOT



#makerpm is run after the install script to pick up all of the files

$RPM_SOURCE_DIR/makerpm.pl --source=Getopt-Mixed-1.008.tar.gz --verbose  --install %{makeopts}

%clean



rm -rf $RPM_BUILD_ROOT

%pre



%post



%preun



%postun



%verifyscript



%files -f Getopt-Mixed-1.008/Getopt-Mixed-1.008.rpmfilelist

%doc Getopt-Mixed-1.008/README

